Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Version

    java.lang.Object
      org.jivesoftware.util.Version

    public class Version

extends Object

Holds version information for Openfire.

Author:
  Iain Shigeoka

Nested Class Summary
`static class` | `Version.ReleaseStatus` A class to represent the release status of the server.

Constructor Summary
`Version(int major, int minor, int micro, Version.ReleaseStatus status, int statusVersion)` Create a new version information object.

Method Summary
`int` | `getMajor()` Obtain the major release number for this product.
`int` | `getMicro()` Obtain the micro release number for this product.
`int` | `getMinor()` Obtain the minor release number for this product.
`Version.ReleaseStatus` | `getStatus()` Returns the release status of this product.
`int` | `getStatusVersion()` Obtain the status relase number for this product.
`String` | `getVersionString()` Returns the version number of this instance of Openfire as a String (ie major.minor.revision).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Version

    public Version(int major,
                   int minor,
                   int micro,
                   Version.ReleaseStatus status,
                   int statusVersion)

  Create a new version information object.

  Parameters:
    `major` - the major release number.
    `minor` - the minor release number.
    `micro` - the micro release number.
    `status` - the status of the release.

Method Detail

### getVersionString

    public String getVersionString()

  Returns the version number of this instance of Openfire as a String (ie major.minor.revision).

  Returns:
    The version as a string

### getStatus

    public Version.ReleaseStatus getStatus()

  Returns the release status of this product.

  Returns:
    the release status of this product.

### getMajor

    public int getMajor()

  Obtain the major release number for this product.

  Returns:
    The major release number 1.x.x

### getMinor

    public int getMinor()

  Obtain the minor release number for this product.

  Returns:
    The minor release number x.1.x

### getMicro

    public int getMicro()

  Obtain the micro release number for this product.

  Returns:
    The micro release number x.x.1

### getStatusVersion

    public int getStatusVersion()

  Obtain the status relase number for this product. For example, if the release status is alpha the release may be 5 resulting in a release status of Alpha 5.

  Returns:
    The status version or -1 if none is set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.